- args:
    name: employee
    table:
      name: allocations
      schema: public
    using:
      foreign_key_constraint_on: employeeid
  type: create_object_relationship
- args:
    name: jobline
    table:
      name: allocations
      schema: public
    using:
      foreign_key_constraint_on: joblineid
  type: create_object_relationship
- args:
    name: allocations
    table:
      name: employees
      schema: public
    using:
      foreign_key_constraint_on:
        column: employeeid
        table:
          name: allocations
          schema: public
  type: create_array_relationship
- args:
    name: allocations
    table:
      name: joblines
      schema: public
    using:
      foreign_key_constraint_on:
        column: joblineid
        table:
          name: allocations
          schema: public
  type: create_array_relationship
